
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

Here's an updated version of the pegasos support patch for ppc32, fixing a
typo in the previous one.  Driver patches to come soon.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/chrp_pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/platforms/chrp_pci.c~ppc32-updated-pegasos-support arch/ppc/platforms/chrp_pci.c
--- 25/arch/ppc/platforms/chrp_pci.c~ppc32-updated-pegasos-support	2005-01-25 22:14:12.685346992 -0800
+++ 25-akpm/arch/ppc/platforms/chrp_pci.c	2005-01-25 22:14:12.688346536 -0800
@@ -304,6 +304,6 @@ chrp_find_bridges(void)
 	}
 
 	/* Do not fixup interrupts from OF tree on pegasos */
-	if (is_pegasos != 0)
+	if (is_pegasos == 0)
 		ppc_md.pcibios_fixup = chrp_pcibios_fixup;
 }
_
